Bug 57711 - arpwatch depends on csh for no good reason
arpwatch depends on csh for no good reason
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: tcpdump (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-19 17:06 EST by msterret
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-03-10 10:22:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
converts arp2ethers to a Bourne shell script (266 bytes, patch)
2001-12-19 17:08 EST, msterret
no flags Details | Diff

  None (edit)
Description msterret 2001-12-19 17:06:44 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.6+) Gecko/20011217

Description of problem:
arpwatch-2.1a11-9.i386.rpm contains a script /var/arpwatch/arp2ethers
that is, for no good reason, a csh script.  This means that the package
depends on /bin/csh and that prevents me from doing rpm -e tcsh which
I would dearly love to do.


How reproducible:
Always

Steps to Reproduce:
1. head -1 /var/arpwatch/arp2ethers
	

Actual Results:  #!/bin/csh -f

Expected Results:  #!/bin/sh
Comment 1 msterret 2001-12-19 17:08:17 EST
Created attachment 41067 [details]
converts arp2ethers to a Bourne shell script
Comment 2 Harald Hoyer 2001-12-20 06:17:49 EST
good catch... thx!
Comment 3 Harald Hoyer 2002-01-17 10:26:57 EST
should be fixed in 3.6.2-10 or newer
Comment 4 Jay Turner 2002-05-29 12:34:01 EDT
I'm still seeing this bug on arpwatch-2.1a11-11.6.2.0.

Note You need to log in before you can comment on or make changes to this bug.